Get Effectiveness
curl --request GET \
--url https://api.rated.network/v0/eth/validators/{validator_index_or_pubkey}/effectiveness \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rated.network/v0/eth/validators/{validator_index_or_pubkey}/effectiveness"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rated.network/v0/eth/validators/{validator_index_or_pubkey}/effectiveness', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"page": {
"from": 123,
"to": 123,
"size": 10
},
"total": 1,
"data": [
{
"totalAttestations": 1,
"totalUniqueAttestations": 1,
"sumCorrectHead": 1,
"sumCorrectTarget": 1,
"avgCorrectness": 1,
"totalAttestationAssignments": 1,
"avgInclusionDelay": 1,
"sumInclusionDelay": 1,
"uptime": 1,
"attesterEffectiveness": 1,
"proposedCount": 1,
"proposerDutiesCount": 1,
"proposerEffectiveness": 1,
"slashesCollected": 1,
"slashesReceived": 1,
"earnings": 123,
"syncSignatureCount": 1,
"validatorEffectiveness": 1,
"estimatedRewards": 123,
"estimatedPenalties": 123,
"sumPriorityFees": 1,
"sumBaselineMev": 123,
"sumMissedExecutionRewards": 123,
"sumConsensusBlockRewards": 123,
"sumMissedConsensusBlockRewards": 123,
"sumAllRewards": 123,
"sumCorrectSource": 1,
"sumMissedSyncSignatures": 1,
"sumSyncCommitteePenalties": 123,
"sumLateSourceVotes": 1,
"sumWrongTargetVotes": 1,
"sumLateTargetVotes": 1,
"sumWrongTargetPenalties": 123,
"sumLateTargetPenalties": 123,
"sumMissedAttestations": 1,
"sumMissedAttestationPenalties": 123,
"sumWrongHeadVotes": 1,
"sumWrongHeadPenalties": 123,
"sumAttestationRewards": 1,
"sumLateSourcePenalties": 123,
"executionProposedEmptyCount": 1,
"sumMissedAttestationRewards": 1,
"sumMissedSyncCommitteeRewards": 1,
"sumExternallySourcedExecutionRewards": 123,
"validatorIndex": 1,
"startEpoch": 1,
"endEpoch": 1,
"hour": 1,
"day": 1,
"startDay": 1,
"endDay": 1
}
],
"next": "<string>"
}{
"detail": [
{
"msg": "<string>",
"type": "<string>",
"loc": [
"<string>"
]
}
]
}Validators
Get Effectiveness
GET
/
v0
/
eth
/
validators
/
{validator_index_or_pubkey}
/
effectiveness
Get Effectiveness
This endpoint returns all the useful information you will ever need on the historical performance of a single validator index. This includes rewards (aggregate and granular), performance (effectiveness and its components), slashing history and much more. For a glossary of the variables returned see effectiveness.
Hereβs how to interpret the inputs required to operate it π
| Parameter | Context |
|---|---|
filterType | day and datetime |
from | Start day (integer) or datetime (e.g. from=β2022-12-01β) |
granularity | The size of time increments you are looking to query. Can be day / week / month / quarter / year |
size | The number of results included per page |
include | A list of field names. Use it to filter the specific fields you want in the response payload |
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
mainnet, hoodi, holesky Path Parameters
Required range:
x >= 0Query Parameters
Required range:
x >= 0Available options:
day, week, month, quarter, year, all Available options:
hour, day, datetime βI